#ifndef _M135P_9x_H
#define _M135P_9x_H

typedef unsigned int  UINT;
typedef unsigned long ULONG;

typedef struct{
  UINT    adc135;       //ADC for Model 135
  double  hertzRate;    //scan rate (hz)
  UINT	  average;      //number of samples to average per point
  UINT    ichDelay;     //interchannel delay
  UINT    numData;      //number of datapoints per scan
  ULONG	  totScans;     //number of scans to perform
  UINT    digInp;       //flag for digital input 1 = on  0 = off
  BYTE    controlCode;  //control code for next conversion in GetConv
  UINT    cCode[65];    //array of control codes
  UINT	  timeStamp;    //1 = timeStamp, 0 = no timeStamp
  ULONG	  numCompleted; //number of scans completed if scan was aborted
  ULONG   overHead;     //time in ticks for overhead
}T_M135;

short  inp(UINT iVal);
short		ReadConfig();
short		WriteConfig();
short   ReadStatus(UINT status);
short 	ADInit(int adc, BYTE cCode);
short		CheckADC(unsigned int adc135);
void    outp(UINT outPort, int outVal);
void    SetWin32CursorOn(void);
void    SetWin32CursorOff(void);
void		SetWindowToDesktop(void);
void		PrintCommandMenu();
void		DoCommand(int ch, double *max, double *min);
void		StandardDev(double *stDv, double *rmsBits, double *sdTot,
								    double *runningAvg, double *sd, double *voltage,
								    int    *sdCount);
UINT    GetAvg(unsigned int average);
double	GetConv();  		  //get one conv. and dig. input status

#endif